# AmazonStartEc2InstanceParameters Object

## Description

Parameters for the Amazon Start EC2 Instance action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### elasticIp

Elastic IP address to assign to the EC2 instance.

Type: `string`

Required: No

### instanceId

EC2 instance ID of the instance to be started. Required when `instanceIdentificationMethod` is `by-instance-id`.

Type:`string`

Required: Conditional

### instanceName

Value of the `Name` tag of the EC2 instance to be started. Required when `instanceIdentificationMethod` is `by-instance-name-tag`.

Type: `string`

Required: Conditional

### instanceIdentificationMethod

Method of identifying the EC2 instances.

Type: `string`

Valid Values:

* `by-instance-id`
* `by-instance-name-tag`

Required: Yes

### isCheckReachability

Indicates whether to check instance reachability after starting.

Type: `boolean`

Required: No

Default: `false`

### isSendEmailOnReachabilityFailure

Indicates whether to send an email if reachability fails. Ignored when `isCheckReachability` is not `true`.

Type: `boolean`

Required: No

Default: `false`

### loadBalancerName

Name of the classic Elastic Load Balancer to register with when the EC2 instance is started.

Type: `string`

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### resumeAutoScalingProcesses

Indicates whether to resume Auto Scaling processes for any Auto Scaling groups controlling the EC2 instance.

Type: `string`

Valid Values:

* `none`
* `all`

Required: No

Default: `none`

### stopTimeInSeconds

Time (in seconds) after which the EC2 instance will be stopped.

Type: `integer`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    "instanceIdentificationMethod": "by-instance-id",
    "instanceId": "i-11111111",
    "elasticIp": "1.2.3.4",

    "loadBalancerName": null,
    "resumeAutoScalingProcesses": "none",

    "isCheckReachability": false
    "isSendEmailOnReachabilityFailure": false,

    "stopTimeInSeconds": 43200
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazonstartec2instanceparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
